% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ctsemUtils.R
\name{ctWideNames}
\alias{ctWideNames}
\title{ctWideNames
sets default column names for wide ctsem datasets. Primarily intended for internal ctsem usage.}
\usage{
ctWideNames(
  n.manifest,
  Tpoints,
  n.TDpred = 0,
  n.TIpred = 0,
  manifestNames = "auto",
  TDpredNames = "auto",
  TIpredNames = "auto"
)
}
\arguments{
\item{n.manifest}{number of manifest variables per time point in the data.}

\item{Tpoints}{Maximum number of discrete time points (waves of data, or measurement occasions) 
for an individual in the input data structure.}

\item{n.TDpred}{number of time dependent predictors in the data structure.}

\item{n.TIpred}{number of time independent predictors in the data structure.}

\item{manifestNames}{vector of character strings giving column names of manifest indicator variables}

\item{TDpredNames}{vector of character strings giving column names of time dependent predictor variables}

\item{TIpredNames}{vector of character strings giving column names of time independent predictor variables}
}
\description{
ctWideNames
sets default column names for wide ctsem datasets. Primarily intended for internal ctsem usage.
}
